Bug 1376776 (CVE-2016-7423) - CVE-2016-7423 Qemu: scsi: mptsas: OOB access when freeing MPTSASRequest object
Summary: CVE-2016-7423 Qemu: scsi: mptsas: OOB access when freeing MPTSASRequest object
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-7423
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1376777
Blocks: 1365400
TreeView+ depends on / blocked
 
Reported: 2016-09-16 11:37 UTC by Prasad J Pandit
Modified: 2021-02-17 03:20 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Quick Emulator(QEMU) built with LSI SAS1068 Host Bus emulation support, where it is vulnerable to an invalid memory-access issue. The flaw could occur while processing SCSI IO requests in the mptsas_process_scsi_io_request routine. A privileged user inside the guest could use this flaw to crash the QEMU-process instance on the host (denial of service).
Clone Of:
Environment:
Last Closed: 2019-06-08 02:58:46 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2016-09-16 11:37:38 UTC
Quick emulator(Qemu) built with the LSI SAS1068 Host Bus emulation support,
is vulnerable to an invalid memory access issue. It could occur while
processing scsi io requests in mptsas_process_scsi_io_request.

A privileged user inside guest could use this flaw to crash the Qemu process
instance on the host resulting in DoS.

Upstream patch
--------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-09/msg03604.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/09/16/5

Comment 1 Prasad J Pandit 2016-09-16 11:37:43 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2016-09-16 11:38:44 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1376777]


Note You need to log in before you can comment on or make changes to this bug.